︠71a6897c-a44c-4ae4-a3e1-2582ee6dabe1s︠
#######################
#Time Series Diagram 1D
#by Sinan Kapcak
#2017
#www.k-interact.net/dds
#######################

x,y,a=var('x y a')
@interact
def _(
    param1=input_box(label='Slider interval for paramater $a$',default=(0,10),width=20),
    intx=input_box(label='Slider interval for $x_0$',default=(0,10 ),width=20 )):
    @interact
    def _(
    f=input_box(label='$f(x)$',default=x*e^(a-x),width=40),
    x0=slider(intx[0] ,  intx[1], .1, default= (2*intx[0]+intx[1])/3 ,label='Initial Value $x_0$' ),
    parameter0=slider(param1[0] ,  param1[1], .01, default= (5*param1[0]+param1[1])/6 ,label='Parameter $a$' ),
    iterasyon=input_box(default=100,label='Number of iterations',width=15 ),
    figs=slider(2, 20, 1, default=6,label='Figure size'),
    ar=slider([2^n for n in [-10..10]], default=16,label='Aspect Ratio' )
    ):
        f=f(a=parameter0)
        nok=[x0]#list of points
        for i in range(iterasyon):
            nok.append( f(x=nok[-1] ) )
        graf=list_plot(nok,plotjoined=True,rgbcolor='orange',aspect_ratio=ar,figsize=figs,axes_labels=['$n$','$x_n$'],frame=False)
        show(graf)
︡d05e6939-af30-4d03-8930-f14c967f7f78︡{"interact":{"controls":[{"control_type":"input-box","default":"(0, 10)","label":"Slider interval for paramater $a$","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"param1","width":20},{"control_type":"input-box","default":"(0, 10)","label":"Slider interval for $x_0$","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"intx","width":20}],"flicker":false,"id":"2e02a180-2cc3-47e7-86e7-2b1b9bbaebf5","layout":[[["param1",12,null]],[["intx",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}︡
︠4b6254d4-e3e4-4383-9d1e-5b9beb0a081e︠









